#ifndef SOCKETCLIENT_H_
#define SOCKETCLIENT_H_

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <signal.h>

#define MAX_COM_SIZE 476
#define IP_ADDR_LENGTH 16

#define FIRST_PORT 5000
#define NUMBER_OF_SOCKETS 1
#define CONFIG_FILE_PATH "./config.txt"

// Commands for Board
// to be done



class SimpleDaqConfiguration {
public:
	char FADIPAddress[IP_ADDR_LENGTH];
	char outfilepath[200];
	char outfilename[50];
	char outfileext[10];
};

void cmd_send (const char* Buffer, int Socket); // Send commands to socket
void int_handler (int sig); // Handle signal SIGINT (CTRL-C)
void exit_program (int exit_status); // Cleanup and exit
SimpleDaqConfiguration *getConfig (const char *path, int verbose = 0);

#endif /*SOCKETCLIENT_H_*/
